#ifndef extern
   #include <proto/exec.h>
   #include <proto/dos.h>
   #include <proto/utility.h>
   #include <MyStartup.h>
   #include <MyLib.h>
#endif

#define MAX_LEN 200    /* Max. len for identifiers AND autodoc lines */
#define strcmp __builtin_strcmp

extern struct Library *UtilityBase;

extern struct RDArgs *RDArgs;

extern BPTR IncludeDir;
extern BPTR AutodocDir;
extern BPTR XRefFile;
extern BPTR HypertextDir;
extern BPTR ErrorFile;

extern char *CurrentSource;
extern BPTR CurrentFile;
extern long CurrentLine;

extern char *HypertextFilename;
extern BPTR HypertextFile;

extern struct
   {
      char *AutodocDir;
      char *IncludeDir;
      char *HypertextDir;
      char *XRefFile;
      char *XRefIn;
      char *ErrorFile;
      char *Extension;
      long NoExpand;
      long Types;
      long CED;
      long ShortTOC;
   } Arguments;

extern char Identifier[MAX_LEN];
extern char Buffer[MAX_LEN];
extern long BufferIndex;

extern char CurrentUnit[MAX_LEN];
extern struct AutodocNode *CurrentAutodocNode;

extern char WordBuffer[MAX_LEN];

extern int ExternalLinks;
extern int IncludeLinks;
extern int InternalLinks;

void CloseAll(void);
