struct StructNode		/* also used for typedefs */
   {
      struct AnyNode Node;
      char *File;
      long Line;
   };

struct TypedefTempNode
   {
      struct AnyNode Node;
      char *File;
      long Line;
      char *Struct;
   };

extern struct FileNode **IncludeFileArray;
extern struct FileNode *IncludeFileList;
extern struct StructNode **StructArray;
extern struct StructNode *StructList;
extern struct StructNode **TypedefArray;
extern struct StructNode *TypedefList;
extern struct TypedefTempNode *TypedefTempList;

BOOL ProcessIncludes(BPTR Directory, char *Name);
BOOL AddIdent(char *Name, char *File, long Line, BOOL IsTypedef);
BOOL PrintIncludeFileList(void);
BOOL PrintStructList(void);
BOOL PrintTypedefs(void);
